# OpalListenerIP Class Reference

`#include <transports.h>`

Inheritance diagram for OpalListenerIP:

List of all members.

## Public Member Functions

Overrides from OpalListener
virtual OpalTransportAddress | GetLocalAddress (const OpalTransportAddress &preferredAddress=OpalTransportAddress()) const
Operations
WORD | GetListenerPort () const
virtual const char * | GetProtoPrefix () const=0

## Protected Attributes

PIPSocket::Address | localAddress
WORD | listenerPort
PBoolean | exclusiveListener

## Constructor & Destructor Documentation

OpalListenerIP::OpalListenerIP | ( | OpalEndPoint & | endpoint,
|  | PIPSocket::Address | binding = `PIPSocket::GetDefaultIpAny()`,
|  | WORD | port = `0`,
|  | PBoolean | exclusive = `PTrue` |
| ) |  |  |

Create a new IP listener.

Parameters:

  endpoint | Endpoint listener is used for
  binding | Local interface to listen on
  port | TCP port to listen for connections

OpalListenerIP::OpalListenerIP | ( | OpalEndPoint & | endpoint,
|  | const OpalTransportAddress & | binding,
|  | OpalTransportAddress::BindOptions | option |
| ) |  |  |

Parameters:

  endpoint | Endpoint listener is used for
  binding | Local interface to listen on
  option | OPtions for binding

OpalListenerIP::OpalListenerIP | ( | OpalEndPoint & | endpoint,
|  | PIPSocket::Address | binding = `PIPSocket::GetDefaultIpAny()`,
|  | WORD | port = `0`,
|  | PBoolean | exclusive = `PTrue` |
| ) |  |  |

Create a new IP listener.

Parameters:

  endpoint | Endpoint listener is used for
  binding | Local interface to listen on
  port | TCP port to listen for connections

OpalListenerIP::OpalListenerIP | ( | OpalEndPoint & | endpoint,
|  | const OpalTransportAddress & | binding,
|  | OpalTransportAddress::BindOptions | option |
| ) |  |  |

Parameters:

  endpoint | Endpoint listener is used for
  binding | Local interface to listen on
  option | OPtions for binding

## Member Function Documentation

virtual OpalTransportAddress OpalListenerIP::GetLocalAddress | ( | const OpalTransportAddress & | preferredAddress = `OpalTransportAddress()` | ) | const`[virtual]`

Get the local transport address on which this listener may be accessed.

Implements OpalListener.

WORD OpalListenerIP::GetListenerPort | ( |  | ) | const`[inline]`

virtual const char* OpalListenerIP::GetProtoPrefix | ( |  | ) | const`[pure virtual]`

Implemented in OpalListenerTCP, and OpalListenerUDP.

## Member Data Documentation

PIPSocket::Address OpalListenerIP::localAddress `[protected]`

WORD OpalListenerIP::listenerPort `[protected]`

PBoolean OpalListenerIP::exclusiveListener `[protected]`

The documentation for this class was generated from the following file:

- transports.h